{#

1 2 3
4 5 6

A
10 20 30 40

B
1 2
3 4

&

#! /bin/bash
./stream2
cat stream2.out
rm stream2.out
exit 0

}
program stream2;
uses mtx09;
var
  fi, fo: text;
  m: mtx;
begin
  assign(fi,'stream2.pas');
  reset(fi);
  assign(fo,'stream2.out');
  rewrite(fo);
  while mrd(m,fi) do mwr(m,fo);
  close(fo);
  append(fo);
  mwr(m,fo);
  close(fo)
end.
